package com.zbf.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TckOrderdetailBak;
import com.zbf.system.domain.TckOrdersBak;

/**
 * 出库单历史表Mapper接口
 *
 * @author tony
 * @date 2024-07-03
 */
public interface TckOrdersBakMapper extends BaseMapper<TckOrdersBak> //修改
{
    /**
     * 查询出库单历史表
     *
     * @param id 出库单历史表主键
     * @return 出库单历史表
     */
    public TckOrdersBak selectTckOrdersBakById(String id);

    /**
     * 查询出库单历史表列表
     *
     * @param tckOrdersBak 出库单历史表
     * @return 出库单历史表集合
     */
    public List<TckOrdersBak> selectTckOrdersBakList(TckOrdersBak tckOrdersBak);

    /**
     * 查询出库单历史表列表
     *
     * @param tckOrdersBak 出库单历史表
     * @return 出库单历史表集合
     */
    public List<TckOrderdetailBak> selectReturnTckOrdersBakList(TckOrderdetailBak tckOrderdetailBak);

    /**
     * 新增出库单历史表
     *
     * @param tckOrdersBak 出库单历史表
     * @return 结果
     */
    public int insertTckOrdersBak(TckOrdersBak tckOrdersBak);

    /**
     * 修改出库单历史表
     *
     * @param tckOrdersBak 出库单历史表
     * @return 结果
     */
    public int updateTckOrdersBak(TckOrdersBak tckOrdersBak);

    /**
     * 删除出库单历史表
     *
     * @param id 出库单历史表主键
     * @return 结果
     */
    public int deleteTckOrdersBakById(String id);

    /**
     * 批量删除出库单历史表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTckOrdersBakByIds(String[] ids);

    /**
     * 批量启用出库单历史表
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTckOrdersBakByIds(String[] ids);

    /**
     * 批量禁用出库单历史表
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTckOrdersBakByIds(String[] ids);


    /**
     * 批量删除出库物料明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTckOrderdetailBakByOrderIds(String[] ids);

    /**
     * 批量新增出库物料明细
     *
     * @param tckOrderdetailBakList 出库物料明细列表
     * @return 结果
     */
    public int batchTckOrderdetailBak(List<TckOrderdetailBak> tckOrderdetailBakList);


    /**
     * 通过出库单历史表主键删除出库物料明细信息
     *
     * @param id 出库单历史表ID
     * @return 结果
     */
    public int deleteTckOrderdetailBakByOrderId(String id);
}
